EUCA-DESCRIBE-INSTANCE-ATTRIBUTE(1)

NAME
euca-describe-instance-attribute - Show one of an instance's attributes.

SYNOPSIS
euca-describe-instance-attribute

(-b | --disable-api-termination | --ebs-optimized | -g | -p | --instance-initiated-shutdown-behavior | -t | --kernel | --ramdisk | --root-device-name | --source-dest-check | --user-data)
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Show one of an instance's attributes.

DESCRIPTION
Note that exactly one attribute may be shown at a time.

  positional arguments:

INSTANCE
    ID of the instance to show info for (required)

  optional arguments:

-b, --block-device-mapping
    show block device mappings

--disable-api-termination
    show whether termination is disabled

--ebs-optimized
    show whether the root volume is optimized for EBS I/O

-g, --group-id
    show the security groups the instance belongs to

-p, --product-code
    show any associated product codes

--instance-initiated-shutdown-behavior
    show whether the instance stops or terminates when shut down

-t, --instance-type
    show the instance's type

--kernel
    show the ID of the kernel image associated with the instance

--ramdisk
    show the ID of the ramdisk image associated with the instance

--root-device-name
    show the name of the instance's root device (e.g. '/dev/sda1')

--source-dest-check
    [VPC only] show whether source/destination checking is enabled for the instance

--user-data
    show the instance's user-data

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit